/**
 * Diese Klasse implementiert Fensterfunktionalitäten für die App, wie z.B. Minimieren und Schließen.
 * 
 * 
 * @namespace IM
 * @class WindowsBehavior
 * @constructor 
 */
IM.WindowsBehavior = function () {
	/**
	 * NodeJS: Setzt die gui-Lib aus der globalen Konfiguration
	 * @property gui
	 * @type Object
	 */
	var gui = IM.Config.gui;
	
	/**
	 * Holt sich das Window-Object und gibt es zurück.
	 * @method _getWindow
	 * @private
	 * @return {Object} win Das Window-Object
	 */
	var _getWindow = function () {
		/**
		 * Speichert das Window-Object aus der gui-Lib
		 * @property win
		 * @private
		 * @type Object
		 */
		var win = gui.Window.get();
		return win;
	};
	
	/**
	 * Schließt das Applikationsfenster
	 * @method close
	 */
	this.close = function () {
		var win = _getWindow();
		win.close();
	};
	
	/**
	 * Minimiert das Applikationsfenster
	 * @method minimize
	 */
	this.minimize = function () {
		var win = _getWindow();
		win.minimize();
	};
};